package com.jojubanking.boot.module.system.convert.refundapply;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.refundapply.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.refundapply.RefundApplyDO;

/**
 * 就诊卡退费申请 Convert
 *
 * @author admin
 */
@Mapper
public interface RefundApplyConvert {

    RefundApplyConvert INSTANCE = Mappers.getMapper(RefundApplyConvert.class);

    RefundApplyDO convert(RefundApplyCreateReqVO bean);

    RefundApplyDO convert(RefundApplyUpdateReqVO bean);

    RefundApplyRespVO convert(RefundApplyDO bean);

    List<RefundApplyRespVO> convertList(List<RefundApplyDO> list);

    PageResult<RefundApplyRespVO> convertPage(PageResult<RefundApplyDO> page);

    List<RefundApplyExcelVO> convertList02(List<RefundApplyDO> list);

}
